package order

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxOrderPayment struct {
	OrderPaymentID int       `orm:"column(order_payment_id);pk";comment:"订单支付ID"`
	OrderCode      string    `comment:"订单编号"`
	OutTradeCode   string    `comment:"外部交易号退款使用"`
	PayBody        string    `comment:"订单支付简介"`
	PayDetail      string    `comment:"订单支付详情"`
	PayMoney       float64   `comment:"支付金额"`
	PayStatus      string    `comment:"支付状态"`
	CreateTime     time.Time `comment:"创建时间"`
	PaymentType    int       `comment:"支付类型。取值范围：1微信支付，2支付宝支付。"`
}

// 添加
func AddCygxOrderPayment(item *CygxOrderPayment) (err error) {
	o := orm.NewOrm()
	_, err = o.Insert(item) //回调支付信息
	return
}
